"""
Shortcuts for operators import

Allows things like:
from hysop.operators import DirectionalAdvection
"""

from hysop.operator.poisson import Poisson
from hysop.operator.poisson_curl import PoissonCurl
from hysop.operator.diffusion  import Diffusion  # FFTW diffusion
from hysop.operator.advection  import Advection  # Scales fortran advection

from hysop.operator.redistribute      import Redistribute
from hysop.operator.analytic          import AnalyticField
from hysop.operator.mean_field        import ComputeMeanField
from hysop.operator.enstrophy         import Enstrophy
from hysop.operator.kinetic_energy    import KineticEnergy
from hysop.operator.adapt_timestep    import AdaptiveTimeStep
from hysop.operator.hdf_io            import HDF_Writer, HDF_Reader
from hysop.operator.custom_symbolic   import CustomSymbolicOperator
from hysop.operator.parameter_plotter import ParameterPlotter
from hysop.operator.integrate         import Integrate

from hysop.operator.derivative import SpaceDerivative,                  \
                                      SpectralSpaceDerivative,          \
                                      FiniteDifferencesSpaceDerivative, \
                                      MultiSpaceDerivatives

from hysop.operator.min_max import MinMaxFieldStatistics,                       \
                                   MinMaxFiniteDifferencesDerivativeStatistics, \
                                   MinMaxSpectralDerivativeStatistics

from hysop.operator.gradient import Gradient, MinMaxGradientStatistics
from hysop.operator.curl     import Curl, SpectralCurl
from hysop.operator.external_force import SymbolicExternalForce, SpectralExternalForce

from hysop.numerics.splitting.strang import StrangSplitting
from hysop.operator.directional.symbolic_dir   import DirectionalSymbolic
from hysop.operator.directional.advection_dir  import DirectionalAdvection
from hysop.operator.directional.diffusion_dir  import DirectionalDiffusion
from hysop.operator.directional.stretching_dir import DirectionalStretching
from hysop.operator.directional.stretching_dir import StaticDirectionalStretching # Python streching
from hysop.operator.directional.stretching_diffusion_dir import DirectionalStretchingDiffusion
